Getting Started

Requirements

  • Ford / Lincoln car with SYNC 3.0
  • USB drive of between 8GB - 32GB depending on region and navigation
  • A Windows computer running Windows 10
  • Patience, the navigation variant upgrade can take 30-60 minutes depending on region

Before we begin it's important to know what hardware version of SYNC you have.

If your car looks like the left of the picture below you are likely to be able to use this application. If it looks like the right side then you will need to replace your unit with a newer SYNC 3 unit.

Now that we have confirmed that you do not have SYNC 2 we need to confirm if you have SYNC 2.5 or SYNC 3.

If your "About" screen looks like the one on your left with the text centre aligned and the version as X.X Build XXXXX then you have SYNC 3, if it looks like the right image then you unfortunately have SYNC 2.5 and this application and processes are not compatible.

Assuming you have determined that you have SYNC 3 and meet the other requirements we can continue.

 

Configuration

Disclaimer Acceptance

Before you are able to use the application you will need to read and accept the disclaimer.

Once the disclaimer has been accepted you will be taken to the settings page where you can configure various options

Settings

After accepting the disclaimer, you must update your settings to correctly reflect your current car configuration.

Setting Default Value Comments
Full Version N/A

Enter the full version number of your current SYNC version.

As of version 2.8.0.0 you will get a auto complete suggestion as you type.

Region N/A

Select your current SYNC region, (EU, NA, CN, ANZ, SA, ROW).

Navigation False

Select whether you have navigation/maps on your SYNC unit.

Ensure you enter these settings correctly, entering wrong information here will cause you issues, Syn3 Updater automatically determines the best install mode based on your current version, region 

Refer to the Settings page for detailed information on every setting that is available

Ensure you enter these settings correctly After saving your settings you will be taken to the "Home" page, 

Basic Usage

UPGRADING A 1.X, 2.X OR 3.0 SYNC UNIT TO 3.2, 3.3 OR 3.4 WILL MAKE IT IMPOSSIBLE* TO GO BACK TO AN OLDER VERSION, DO NOT COME COMPLAINING TO CYANLABS ASKING FOR HELP TO GO BACK TO 3.0

* it's possible with hardware flashing but this is out of the scopes of most users and these guides.

Lets Start!

So we have confirmed we have SYNC 3 and configured Syn3 Updater correctly, now we can get started on the actual upgrade process.

You will see a detailed overview of your current configuration at the top of the page, always make sure this is correct before preparing your USB

image

If the current version is incorrect Syn3 Updater may not be able to create a working USB, use the settings menu to update it

Just below the "Current Configuration" you will be asked to select a USB drive. Select a USB drive which has the required amount of storage space, Refer to the table below or the in-app advice.

Region Navigation Variants Non Navigation Variants
Europe 32GB USB Drive 8GB USB Drive

North America & Canada

16GB USB Drive 8GB USB Drive
China ??GB USB Drive 8GB USB Drive
Australia & New Zealand 16GB USB Drive 8GB USB Drive
Rest Of World 16GB USB Drive 8GB USB Drive

You can also select a folder instead of a USB drive however for basic use we would recommend just selecting a USB Drive.

Once you have selected your USB Drive move on to "New Version". Select your new region, we would highly recommend you keep the same region as your current region however it is theoretically possible to change this if you modify you AsBuilt also.

Once you have selected your region the "Version" dropdown will be populated with versions, select your desired SYNC version.

If you have a navigation unit you can also pick what map version you want, if you are already on the same version range you will be able to "Keep Existing" otherwise you will be forced to re-install maps if you want maps. If you have a non navigation unit you will only be able to select "Non Nav APIM". You will see some notes have populated to the right, these notes are things the community have noticed about this specific build.

You will see a list has appeared under "Select Packages", here you can manually deselect some packages that you may not need, for most users it is recommended you leave this as is and simply press Start

You will see your install mode at the bottom left, if your install fails it's likely this is incorrect! for pre 3.0 SYNC 3 to 3.4 you need reformat, if this hasn't been automatically selected you likely set your current sync version incorrectly.

After pressing "Start" you will be asked a few questions, make sure to answer them correctly as incorrect answers could result in minor or major issues!

The first question you will be asked is this

it's important to answer this one 100% correctly as if you have a car manufacturer 2020 or newer you may have a MY20 APIM and if you answer this incorrectly and you do have one, you WILL brick your SYNC.

If your car is 100% not manufactured in 2020 and you have not retrofitted the SYNC you are safe to click "No" otherwise if you are unsure click "Yes"

Clicked Yes?

If you clicked "Yes" you will now be prompted to create a Interrogator Log USB 

Follow the on-screen steps and insert the USB Drive in to your car, wait for the car to reboot or say install complete and remove the USB Drive from your car, Insert the USB Drive back in to the computer and press "OK".

On the newly opened file dialog browse to your USB Drive, then SyncMyRide and then select the SYNC....xml file

You will now be told if your SYNC is MY20 or not!

If you are told your SYNC APIM is not MY20 click "Start" once more and continue below to the "Clicked No? / Not MY20" section

If you are told your SYNC APIM is MY20 displayed in red to be clear, you will only be able to install items via AutoInstall mode and Syn3 Updater will enforce this, We recommend that if you are MY20 that you install your Release and Map Release separately as this has a higher success rate.

Clicked No? / Not MY20

If you have clicked "No" or already ran the above process and been told your APIM is not MY20 then you will now begin download and copying of your desired release

Here you will see a bunch of files in the Queue and the progress bar will slowly progress as the files are downloaded and validated, if the download or validation fails 3 times the process will be aborted.

Once the downloads have completed and the files have been validated, they will be copied to the USB drive automatically.

You can see a detailed log of what the application is doing at the bottom of the window.

Compared to Syn3 Updater 1.x and FordSyncDownloader the download and validation process is much faster, at twice as fast from our internal testing.

As of Syn3 Updater 2.8.0 the downloads are many times faster for people with fast connections!

Once the download, validation and copying is complete you will be asked the following message.

If you hang for multiple minutes during the download, you should try setting your Download Connections to 1 in the Settings tab.

image

It is recommended you upload your log file to CyanLabs so we can assist easier in the future, all we will need from you is your computer name. Log files are saved on CyanLabs servers for 1 week only!

image

It's usually a good idea to say Yes at this point as this will automatically update your SYNC current version for future use to the new version that you have just prepared.

Finally you will be shown the following message box and once you press OK you will be taken to the relevant part of our SYNC 3 upgrade guide.

image

Check the USB drive and you should see the following files

image

You may or may not also have a reformat.lst file, this is used for reformat and downgrade modes!

If you have any issues or need some assistance make sure to share your log.txt file as this includes important information that will allow CyanLabs administrators and moderators to assist.